summaryrefslogtreecommitdiff
path: root/lib/talloc/autogen-autotools.sh
diff options
context:
space:
mode:
authorJelmer Vernooij <jelmer@samba.org>2010-10-31 02:31:59 +0100
committerJelmer Vernooij <jelmer@samba.org>2010-10-31 02:04:05 +0000
commit4f22cc7a283d21000e8ffa0c39746aa9f824f49e (patch)
treedbddd24f70d74b994c6b3c8738c9fd1fed2a695b /lib/talloc/autogen-autotools.sh
parent3deece559159150a0710d8160f39583ba7f2e582 (diff)
downloadsamba-4f22cc7a283d21000e8ffa0c39746aa9f824f49e.tar.gz
samba-4f22cc7a283d21000e8ffa0c39746aa9f824f49e.tar.bz2
samba-4f22cc7a283d21000e8ffa0c39746aa9f824f49e.zip
talloc: Switch over to using waf as the default build system for the standalone build.
Diffstat (limited to 'lib/talloc/autogen-autotools.sh')
-rwxr-xr-xlib/talloc/autogen-autotools.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/lib/talloc/autogen-autotools.sh b/lib/talloc/autogen-autotools.sh
new file mode 100755
index 0000000000..bf84eeee19
--- /dev/null
+++ b/lib/talloc/autogen-autotools.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+rm -rf autom4te.cache
+rm -f configure config.h.in
+
+IPATHS="-I libreplace -I lib/replace -I ../libreplace -I ../replace"
+autoconf $IPATHS || exit 1
+autoheader $IPATHS || exit 1
+
+rm -rf autom4te.cache
+
+echo "Now run ./configure and then make."
+exit 0
+